• 로그인지금 시작하세요

사용자의 편의를 위해 제공되는 기계 번역입니다.

영문본과 번역본이 일치하지 않는 경우 영문본이 우선합니다. 보다 자세한 내용은 이 페이지를 방문하시기 바랍니다.

문제 신고

Ansible을 사용하여 인프라 에이전트 구성

New Relic의 Ansible 역할을 사용하여 인프라 모니터링 에이전트 를 설치 및 구성할 수 있습니다. Ansible 사용 방법에 대한 지침은 Ansible 설명서 를 참조하십시오. 이것은 지역 사회가 지원하는 노력입니다.

Ansible을 사용하여 인프라 에이전트를 구성하고 싶으십니까? 무료 로 New Relic 계정을 만드 십시오! 신용 카드가 필요하지 않습니다.

샘플 코드

New Relic은 구성 관리 샘플 코드를 제공하여 많은 Ops 팀에서 공통적으로 사용하는 워크플로 및 도구를 사용하여 인프라 모니터링 에이전트를 설치하는 데 도움을 줍니다. 이것은 기본 Ansible 역할이며 사용자 정의된 워크플로를 만들기 위한 시작점으로 사용하기 위한 것입니다.

구성은 특정 설정 및 표준에 따라 다릅니다. Ansible 샘플 역할 및 추가 통합 정보를 보려면 Ansible Galaxy 설명서 를 참조하십시오.

호환성 및 요구 사항

New Relic의 인프라 모니터링 에이전트와 함께 Ansible 역할을 수행하려면 지원되는 Linux 운영 체제 가 필요합니다.

Ansible로 New Relic 설정

newrelic.newrelic-infra 역할:

  • New Relic 인프라 에이전트 패키지 저장소 소스를 추가합니다.
  • 인프라 에이전트를 설치 및 구성합니다.

이 역할 사용을 시작하려면:

  1. 플레이북에 역할을 포함시키십시오.
  2. 필요한 변수를 사용자 정의합니다.

newrelic.newrelic-infra 과의 모든 일반적인 상호작용은 역할 구성을 사용합니다. 다음은 인프라 에이전트를 설치하도록 역할을 구성하는 예입니다.

---
- hosts: webservers
  roles:
    - role: newrelic.newrelic-infra
      vars:
        nrinfragent_config:
          license_key: YOUR_LICENSE_KEY

역할 구성 변수

다음은 newrelic.newrelic-infra 역할을 구성하는 데 사용할 수 있는 변수입니다.

변하기 쉬운

설명

nrinfragent_config

필수 . 키-값 쌍의 맵입니다. 사용 가능한 일반 구성 설정 과 직접 일치합니다.

nrinfragent_state (선택 과목)

에이전트로 수행할 작업을 설명합니다.

  • 'latest': 기본. 최신 버전의 인프라 에이전트를 설치합니다.
  • 'absent': 에이전트를 제거합니다.

nrinfragent_version (선택 과목)

설치하려는 에이전트 버전:

  • '*': 기본. 최신 버전의 인프라 에이전트를 설치합니다.
  • 'x.y.zzz': 설치하려는 특정 에이전트 버전 번호를 지정하는 문자열. 예: 1.0.682 .

nrinfragent_os_name (선택 과목)

인프라 에이전트가 설치될 대상 OS를 지정합니다. 최신 목록은 meta/main.yml 파일을 참조하세요.

nrinfragent_os_version (선택 과목)

이 시스템에 필요한 설치 프로그램 패키지의 OS 버전을 지정합니다. 최신 목록은 meta/main.yml 파일을 참조하세요.

더 많은 도움을 받으려면

추가 도움이 필요하면 GitHub 의 newrelic/infrastructure-agent-ansible 에서 문제를 제출하세요 .

Copyright © 2022 New Relic Inc.

This site is protected by reCAPTCHA and the Google Privacy Policy and Terms of Service apply.